wombat
======

wombat is a static site generator that combines the concepts of ordinary pages, blogs and image galleries. It compiles
html pages from html fragments and markdown files according to a template.

The fragments are assumed to be in 'stage0', results will appear in 'stage2'. Pages need a description header:

```
---
title: Foobar
description: This describes foobar
---
```

Blog posts (located in stage0/blog/) have a similar header with values for title, date and categories.

Normal pages are created via "wombat newpage", new blog posts via "wombat newpost". Check "wombat help" for other commands. If you create a page and a folder with the same name (without the suffix), all sub-pages in the folder are listed on that parent page before its content.


build
=====

You'll need go1.11+ with module support. Check out the repository and run 'go build wombat.go'.

quick start
===========

Put the executable somewhere in your path. Create a folder for your website, then...

```
> cd YOUR_FOLDER
> wombat init
Initializing YOUR_FOLDER
> wombat gen
Serving stage2 at http://127.0.0.1:8000 ...
Use Ctrl+C to exit
(This is not a production web server, don't get any funny ideas)
```

... and visit http://127.0.0.1:8000 in your browser.


stages
======

Image galleries were added as a sort of pre-stage - place your jpg files outside of the stage0 - stage2 folders in the corresponding gallery folder (default but not necessarily only folder: photos). wombat generates web-suitable and thumbnail versions of them and places them inside stage0.

stage0 is where you edit your ordinary pages or formerly created blog pages (default but not necessarily only folder: blog). stage1 is created for internal reasons only, stage2 contains the files you upload to a suitable server, possibly via rsync to keep traffic low.


customization
=============

To customize the look and feel or the top navigation, edit the files 'style.css' and 'template', the latter being a Go template that is executed on every html or markdown fragment to create a web page.


final note
==========

If you want to buy me a beer, just send inconspicuous envelopes.
